/*

    Absolute solar system body position
    
    You must include readout.h before including this
    file.
    
*/

    typedef enum {
    	Earth = Sun + 1,
	Moon
    } abs_objects;
    
    typedef struct {
    	Double jd;  	    	    	/* Julian date */
	ss_statevec obj[Moon + 1];	/* Object state vectors */
    } abs_step;
        
    extern const char *abs_objname[Moon + 1]; /* Object names */
    
    extern void absbody(abs_step *as, ss_step *s);
    extern int readabs(FILE *fi, abs_step *as);
